Bug 497896 - Avogadro quits on 'symbol lookup error' during startup.
Avogadro quits on 'symbol lookup error' during startup.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avogadro (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Sebastian Dziallas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 14:53 EDT by Alexander
Modified: 2014-06-16 07:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander 2009-04-27 14:53:05 EDT
Description of problem:
Avogadro quits on 'symbol lookup error' during startup.

Version-Release number of selected component (if applicable):
0.9.3

How reproducible:
Happens every time.

Steps to Reproduce:
1. Install avogadro and avogadro-lib from yum.
2. Run avogadro from terminal.
3. 
  
Actual results:
$ avogadro 
Avogadro version:        0.9.3 
LibAvogadro version:     "0.9.3" 
Locale:  "en_US" 
path =  "/usr/bin/../share/avogadro/i18n/" 
"/usr/bin/../share/avogadro/i18n/avogadro_en_US.qm" not found. 
"System has OpenGL support." 
"About to test OpenGL capabilities." 
"OpenGL capabilities found: " 
         "Double Buffering." 
         "Direct Rendering." 
         "Antialiasing." 
avogadro: symbol lookup error: avogadro: undefined symbol: _ZN7QTabBar9hideEventEP10QHideEvent

Expected results:
That avogadro would run.

Additional info:
-
Comment 1 Yaakov Nemoy 2009-04-27 15:07:16 EDT
Note: I'm using the kde-redhat repo

yankee@koan ~ $ avogadro 
Avogadro version:	 0.9.3 
LibAvogadro version:	 "0.9.3" 
Locale:  "nl_NL" 
path =  "/usr/bin/../share/avogadro/i18n/" 
"System has OpenGL support." 
"About to test OpenGL capabilities." 
"OpenGL capabilities found: " 
	 "Double Buffering." 
	 "Direct Rendering." 
	 "Antialiasing." 
Searching for plugins in "/usr/bin/../lib64/avogadro/colors" 
Searching for plugins in "/usr/bin/../lib64/avogadro/engines" 
Searching for plugins in "/usr/bin/../lib64/avogadro/extensions" 
Searching for plugins in "/usr/bin/../lib64/avogadro/tools" 
libpng warning: Ignoring attempt to set cHRM RGB triangle with zero area
Unversioned configuration - clearing. 
Object::disconnect: Unexpected null parameter
GLWidget initialisation... 
GLSL support enabled, OpenGL 2.0 support confirmed. 
GLWidget initialised... 
createObjects() 

E_WORKSFORME -_-
Comment 2 Alexander 2009-04-27 16:44:35 EDT
Updating with kde-redhat clears the lookup error. But now the program segfaults immediately after startup:

$ avogadro 
Avogadro version:        0.9.3 
LibAvogadro version:     "0.9.3" 
Locale:  "en_US" 
path =  "/usr/bin/../share/avogadro/i18n/" 
"/usr/bin/../share/avogadro/i18n/avogadro_en_US.qm" not found. 
"System has OpenGL support." 
"About to test OpenGL capabilities." 
"OpenGL capabilities found: " 
         "Double Buffering." 
         "Direct Rendering." 
         "Antialiasing." 
Searching for plugins in "/usr/bin/../lib/avogadro/colors" 
Searching for plugins in "/usr/bin/../lib/avogadro/engines" 
Searching for plugins in "/usr/bin/../lib/avogadro/extensions" 
Searching for plugins in "/usr/bin/../lib/avogadro/tools" 
libpng warning: Ignoring attempt to set cHRM RGB triangle with zero area
Unversioned configuration - clearing. 
Error: API mismatch: the NVIDIA kernel module has version 180.29,
but this NVIDIA driver component has version 180.51.  Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Error: API mismatch: the NVIDIA kernel module has version 180.29,
but this NVIDIA driver component has version 180.51.  Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
Object::disconnect: Unexpected null parameter
GLWidget initialisation... 
GLSL support enabled, OpenGL 2.0 support confirmed. 
GLWidget initialised... 
createObjects() 
Segmentation fault
Comment 3 Sebastian Dziallas 2009-04-28 08:35:11 EDT
I can't reproduce that here. It works for me, as it does for Yaakov.

From the log you posted, it looks like there's some issue with your nvidia driver. Are you probably using some 3D effects on your desktop such as compiz? If yes, could you try disabling them?

Note: I haven't seen this problem before...
Comment 4 Alexander 2009-04-28 09:54:43 EDT
Ok, my mistake completely. After updating with kde-redhat I didn't reboot to activate the kernel module. After reboot the program starts.

But after some klikking around drawing a molecule. It still segfaults:

GLWidget initialised... 
createObjects() 
Deleting m_endAtom and bond 35 34 
Deleting m_endAtom and bond 38 37 
Segmentation fault


Anyway. The program should work from just the regular repository anyway. Not after updating with 3rd party packages from kde-redhat.
Comment 5 Yaakov Nemoy 2009-04-28 17:12:27 EDT
For what it's worth, i am using the binary nvidia driver. I haven't played around with the program at all, so i don't know if it will segfault later. I also am not using compiz.
Comment 6 Yaakov Nemoy 2009-07-15 13:49:38 EDT
Can anyone confirm this bug still applies? I'm still using kde-redhat, and can't test it on vanilla fedora on my machine.
Comment 7 Sebastian Dziallas 2009-08-09 12:45:25 EDT
I'm not able to reproduce it either in Gnome on a fresh F11 x86_64 install. Alexander, are you still encountering this issue?
Comment 8 Henrique "LonelySpooky" Junior 2009-11-14 14:32:30 EST
Yes, I'm using 0.9.6 in F12, GNOME

[lonely@localhost ~]$ avogadro
QStackedLayout::setCurrentWidget: Widget 0x8b78d48 not contained in stack
Object::disconnect: Unexpected null parameter
libpng warning: Ignoring attempt to set cHRM RGB triangle with zero area
Comment 9 Sebastian Dziallas 2009-11-14 15:00:44 EST
0.9.6 is outdated and 1.0.0 has been pushed already quite some time ago. Please update to the latest version. Additionally, it doesn't seem like this is preventing the application from running, is it? I'm at least getting the first and the third line on a machine here, too. It works fine, though.
Comment 10 Henrique "LonelySpooky" Junior 2009-11-14 15:26:22 EST
Hmmm that is strange. I've installed avogadro today and yum gives me the 0.9.6.

avogadro-0.9.6-1.fc11.i586
avogadro-libs-0.9.6-1.fc11.i586

It also says that is no updates available:

[root@localhost lonely]# yum update avogadro --enablerepo=*-testing
Nenhum pacote marcado para atualização (No package market for updates)

About the error, Avogadro starts, but crashes just a few (2 or 3) seconds later. Some times it says that it is a "segmentation fault".
Comment 11 Sebastian Dziallas 2009-11-14 15:58:55 EST
Oh, you said it was F12, which ships Avogadro 1.0.0. F11 is on 0.9.6, yes. It seems to be working in the former one for me. Now I'm not sure whether it's graphics driver related or probably because of the not-so-current version. I recall that we weren't able to push 1.0.0 to F11 and older, but I'll see whether there's something in between that would work.
Comment 12 Sebastian Dziallas 2009-11-14 16:04:31 EST
Heh, suspecting that it's probably because of OpenBabel. Avogadro seems to be somewhat strict on what it requires and its different beta releases have incremented the requirement from time to time. It seems like F11 is shipping a beta version of OpenBabel 2.2.1, while Avogadro might require the final.
Comment 13 Henrique "LonelySpooky" Junior 2009-11-14 16:10:22 EST
(In reply to comment #11)
> Oh, you said it was F12, which ships Avogadro 1.0.0. F11 is on 0.9.6, yes. It
> seems to be working in the former one for me. Now I'm not sure whether it's
> graphics driver related or probably because of the not-so-current version. I
> recall that we weren't able to push 1.0.0 to F11 and older, but I'll see
> whether there's something in between that would work.
  
Ops, sorry! I'm so used to F12 now that sometimes I forgot it is not in my production machine yet. So, the F11 guys will not be able to use Avogadro?
Comment 14 Bug Zapper 2009-11-18 05:00:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 04:22:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.